# -*- coding: utf-8 -*-
#
# Copyright 2007, 2008 Intevation GmbH, Germany, <info@intevation.de>
# 
# This file is part of mpuls WASKA (CoMPUter-based case fiLeS - 
# Web-Anwendungs-Server fuer Kompetenzagenturen).
# 
# mpuls WASKA is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
# 
# mpuls WASKA is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public
# License for more details.
# 
# You should have received a copy of the GNU Affero General Public
# License along with mpuls WASKA. If not, see <http://www.gnu.org/licenses/>.
# 
# mpuls WASKA has been developed on behalf of the 
# Projekttraeger im Deutschen Zentrum fuer Luft- und Raumfahrt e.V. (PT-DLR)
# within the programme Kompetenzagenturen (Durchfuehrungsphase) funded by
# the Bundesministerium fuer Familie, Senioren, Frauen und Jugend and 
# European Social Fund resources.
#
# Authors:
# Torsten Irländer <torsten.irlaender@intevation.de>
# Sascha L. Teichmann <teichmann@intevation.de>
#

from waskaweb.model.nodecomponents import Document
from waskaweb.model.data           import PageNode
from waskaweb.model.datapage       import PageStore, EmptyPageStore

class CaseDocument(Document):
    def __init__(self, root=None):
        Document.__init__(self, root)

    def getPageStore(self, name, ds_id=None, proxy=None, no_data=False):
        db_view = "%s_view" % name
        nc = self.findByClassAndName(PageNode, name)
        if proxy:
            proxy.set(nc)
            nc = proxy
        if no_data:
            page = EmptyPageStore(db_view, nc, ds_id)
        else:
            page = PageStore(db_view, nc, ds_id)
        return page

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
