## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%
  formular_labels = {'ka_name': _('adm_form_settings_kaname'),
                     'fkz': _('adm_form_settings_fkz'),
                     'max_speicherdauer': _('adm_form_settings_max_savetime')
                    }
%>
<%def name="buildNavipath()">
		${parent.buildNavipath()}
	<li><a href="/administration">${_('adm_np_root')}</a></li>
        <li><a href="/administration/showSettings">${_('adm_np_showsettings')}</a></li>
	<li><a href="/administration/editSettings">${_('adm_np_editsettings')}</a></li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
${_('adm_header_editsettings')}
  </div>
  <div id="modusfield">
    <div class="actions">
	<ul>
		<li><a href="${h.url_for(controller='administration', action='showSettings')}"> ${_('adm_actions_link_showsettings')}</a></li>
	</ul>
    </div>
  </div>
</div>
${self.buildFormErrors(formular_labels)}
<div id="admin_edit_settings">
<p>${_('adm_con_es_editsettings')}</p>
<div class="waska_form">
<form action="/administration/editSettingsAction" method="POST">
	<fieldset>
          <legend>Angaben zur Agentur</legend>
            <div class="waska_form_element w30">
	      <label for="ka_name">${_('adm_form_settings_kaname')}</label>
              % if c.form_errors.get('ka_name'):
	        <input type="text" class="field error_box" id="ka_name" name="ka_name" value="${c.form_result.get('ka_name', c.agency.getName())| h}" maxlength="60">
              % else:
	        <input type="text" class="field" id="ka_name" name="ka_name" value="${c.form_result.get('ka_name', c.agency.getName())| h}" maxlength="60">
              % endif
	    </div>
            <div class="waska_form_element w30">
	      <label for="fkz">${_('adm_form_settings_fkz')}</label>
              % if c.form_errors.get('fkz'):
	        <input type="text" class="error_box" id="fkz" name="fkz" value="${c.form_result.get('fkz', c.agency.getFKZ())| h}" maxlength="60">
              % else:
	        <input type="text" id="fkz" name="fkz" value="${c.form_result.get('fkz', c.agency.getFKZ())| h}" maxlength="60">
              % endif
            </div>
        </fieldset>
        <fieldset>
          <legend>Angaben zu den Fallakten</legend>
          <div class="waska_form_element w100">
            <label for="max_speicherdauer">${_('adm_form_settings_max_savetime')}</label>
            % if c.form_errors.get('max_speicherdauer'):
              <input type="text" class="error_box" id="max_speicherdauer" name="max_speicherdauer", value="${c.form_result.get('max_speicherdauer', c.agency.getMaxSavetime())| h}" maxlength="4">
            % else:
              <input type="text" id="max_speicherdauer" name="max_speicherdauer", value="${c.form_result.get('max_speicherdauer', c.agency.getMaxSavetime())| h}" maxlength="4">
            % endif
            <p>Die maximale Aufbewahrungsdauer legt fest, wie lange eine Fallakte nach Abschluss des CM vorgehalten wird. Nach Ablauf der Frist, wird die Fallakte automatisch zum Löschen vorgeschlagen.</p>
          </div>
          <div class="waska_form_element w100">
            % if c.form_errors.get('anon_transfer'):
              <a href="#error_list"><img class="smallicon" src="/images/error_small.png"></a>
            % endif
            % if c.agency.isAnonTransfer():
            <input id="anon_transfer" name="anon_transfer" type="checkbox" checked />
            % else:
            <input id="anon_transfer" name="anon_transfer" type="checkbox"/>
            % endif
            <label for="anon_transfer">${_('adm_form_settings_anontransfer')}</label>
            <p>Ist die Option aktiviert, werden anonymisierte Fallakten zu Auswertungszwecken an eine zentrale Einrichtung übermittelt. Anonymisierte Fallakten enthalten keine persönlichen Daten wie Namen oder Adressen.</p>
          </div>
        </fieldset>
##        <div class="waska_form_element w100">
##                <label for="ee_formular">${_('adm_form_settings_ee_statement')}</label><br>
##                % if c.form_errors.get('ee_formular'):
##                  <a href="#error_list"><img class="smallicon" src="/images/error_small.png"></a>
##                % endif
##                <textarea id="ee_formular" rows="10" name="ee_formular">${c.form_result.get('ee_formular', c.agency.getPrivacyStatement())}</textarea><br>
##        </div>
##        <div class="waska_form_element w100">
##                <label for="fp_formular">${_('adm_form_settings_fp_statement')}</label><br>
##                % if c.form_errors.get('fp_formular'):
##                  <a href="#error_list"><img class="smallicon" src="/images/error_small.png"></a>
##                % endif
##                <textarea id="fp_formular" rows="10" name="fp_formular">${c.form_result.get('fp_formular', c.agency.getAidPlanStatement())}</textarea><br>
##        </div>
        <div id="admin_edit_settings_submit" class="waska_form_element w100">
                <input type="submit" value="${_('adm_form_settings_save')}">
        </div>
</form>
</div>

<div class="clearer"></div>
</div>

