## -*- coding: utf-8 -*-
<%inherit file="main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="/case/">${_('cm_np_root')}</a></li>
  <li><a href="/case/select/${session.get('case').id}">${_('cm_np_select')}</a></li>
  <li><a href="#">${_('case_cm_phase')}</a></li>
</%def>
<div class="waska_form">
<h1>${_('case_cm_phase')}</h1>
<form method="POST" action="${h.url_for(controller='/case', action='setPhaseAction')}">
  <input type="hidden" name="case_id" value="${session.get('case').id}">
  <table id="cmphases">
    <% is_allowed = h.hasRole(('cm_ka',)) %>
    <tr>
      <th class="table_header_h" width="18%">${_('cm_info_phase')}</th>
      <th class="table_header_h" width="3%">&nbsp;</th>
      <th class="table_header_h" width="44%">${_('case_cm_phase_required_fields')}</th>
      <th class="table_header_h" width="15%">${_('case_cm_phase_time')}</th>
      <th style="text-align:right" class="table_header_h" width="20%">
      % if is_allowed:
      ${_('case_cm_phase_change')}
      % endif
      </th>
    </tr>
    % for count, phase_pair in enumerate(c.phase_pairs):
    <% p1, p2 = phase_pair.getStart(), phase_pair.getEnd()  %>
    <tr>
      <td rowspan="2" class="cm_phase_state ${(count%2) and 'table_row_h' or ''}">
        ${phase_pair.getDescription()}
        % if p1.isRunning():
            <br>(läuft)
        % elif c.current_phase.hasPredecessor(p1):
            <br>(beendet)
        % endif
      </td>
      % if p1.isComplete():
      <td class="cm_phase_state_valid"></td>
      % else:
      <td class="cm_phase_state_invalid"></td>
      % endif
      <td class="required_field">
        ${p1.getLinks()}
      </td>
      <td>${h.dd_mm_YYYY(p1.getTime(), '-/-')}</td>
      <td style="text-align:right">
        % if is_allowed:
            % if (p1.isRecursiveComplete() and not p1.isRunning()) and (p1.isNeighbor(c.current_phase) or c.current_phase.hasPredecessor(p1)) and not (c.disable_cm and c.current_phase.phase == 1 and p1.phase == 2) or not session.get('case').isYoungerThan('2008-09-01'):
                <input type="submit" value="Start" name="${p1.getLabel()|h}">
            % else:
                <input type="submit" value="Start" name="${p1.getLabel()|h}"
                  disabled="disabled">
            % endif
        % endif
      </td>
    </tr>
    <tr>
      % if p2.isComplete():
          <td class="table_row_h cm_phase_state_valid"></td>
      % else:
          <td class="table_row_h cm_phase_state_invalid"></td>
      % endif
      <td class="table_row_h required_field">
        ${p2.getLinks()}
      </td>
      <td class="table_row_h">${h.dd_mm_YYYY(p2.getTime(), '-/-')}</td>
      <td style="text-align:right" class="table_row_h">
        % if is_allowed:
            % if (p2.isRecursiveComplete() and not p2.isRunning() and p2.isNeighbor(c.current_phase) and not c.current_phase.hasPredecessor(p2)) or not session.get('case').isYoungerThan('2008-09-01'):
                <input type="submit" value="Ende" name="${p2.getLabel()|h}">
            % else:
                <input type="submit" value="Ende" name="${p2.getLabel()|h}" 
                  disabled="disabled">
            % endif
        % endif
      </td>
    </tr>
    % endfor
  </table>
</form>
</div>
##
## DAUER DER PHASEN
##
<div>
  <h2>Dauer der Phasen</h2>
  <table>
    <tr>
      <th class="table_header_h">Phase</th>
      <th style="text-align:right" class="table_header_h">Dauer in Wochen</th>
    </tr>
    <% total = None %>
    % for phase_pair in c.phase_pairs:
    <tr>
      <td>${phase_pair.getDescription()}</td>
      <td style="text-align:right">
      <% 
        t = phase_pair.getDuration();
        if t: total = total and (total + t) or t
      %>
      ${h.timedelta_in_weeks(t, '-/-')}
      </td>
    </tr>
    % endfor
    <tr>
      <td style="border-top:1px solid"><strong>Gesamt</strong></td>
      <td style="border-top:1px solid; text-align:right">
        <strong>${h.timedelta_in_weeks(total, '-/-')}</strong>
      </td>
    </tr>
  </table>
</div>
