## -*- coding: utf-8 -*-
<%!  import waskaweb.lib.filters as F %>
<%inherit file="/casemanagement/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="/case/select/${session.get('case').id}/1">${_('cm_np_select')}</a></li>
  <li><a href="/case/logbook/${session.get('case').id}">Tagebuch</a></li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    Tagebuch 
  </div>
% if h.hasRole(['cm_ka']):
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li><a href="${h.url_for(controller='/case', action='newLogbookEntry', id=session.get('case').id)}">Eintrag vornehmen</a></li>
        <li><a href="${h.url_for(controller='/case', action='printLogbook', id=session.get('case').id)}" target="_blank">Druckansicht</a></li>
      </ul>
    </div>
  </div>
% endif
</div>
<table class="appointment">
  <tr>
    <th class="date table_header_h">Datum
      <a href="/case/logbook/${session.get('case').id}/datum/asc"><img class="sorticon" src="/images/icons/sort_asc.png"></a> 
      <a href="/case/logbook/${session.get('case').id}/datum/desc"><img class="sorticon" src="/images/icons/sort_desc.png"></a> 
    </th>
    <th class="title table_header_h">Bearbeiter
      <a href="/case/logbook/${session.get('case').id}/nachname/asc"><img class="sorticon" src="/images/icons/sort_asc.png"></a> 
      <a href="/case/logbook/${session.get('case').id}/nachname/desc"><img class="sorticon" src="/images/icons/sort_desc.png"></a> 
    </th>
    <th class="title table_header_h">Art
      <a href="/case/logbook/${session.get('case').id}/art/asc"><img class="sorticon" src="/images/icons/sort_asc.png"></a> 
      <a href="/case/logbook/${session.get('case').id}/art/desc"><img class="sorticon" src="/images/icons/sort_desc.png"></a> 
    </th>
    <th class="title table_header_h">Dauer (min)
      <a href="/case/logbook/${session.get('case').id}/dauer/asc"><img class="sorticon" src="/images/icons/sort_asc.png"></a> 
      <a href="/case/logbook/${session.get('case').id}/dauer/desc"><img class="sorticon" src="/images/icons/sort_desc.png"></a> 
    </th>
    <th class="action table_header_h">${_('app_overview_tbl_header_actions')}</th>
  </tr>
% if c.logbook.hasEntries():
  % for entry in c.logbook.getEntries():
    <tr>
    <td class="date">${entry.getDate() | h} ${entry.getTime()}</td>
    <td class="title">${entry.getEditor() | h}</td>
    <td class="title">${entry.getKind() | h}</td>
    <td class="title num">${entry.getDuration() | h}</td>
    <td class="action">
        <a href="${h.url_for(controller='/case', action='showLogbookEntry', id=entry.id)}">
            <img src="/images/icons/view_red.gif" border="0" alt="Eintrag ansehen" title="Eintrag ansehen"></a>
        % if h.hasRole(['cm_ka']) and entry.getKindAsInt() != 0:
        <a href="${h.url_for(controller='/case', action='deleteLogbookEntry', id=entry.id, confirmed=0)}">
            <img src="/images/icons/delete_red.gif" border="0" alt="Eintrag löschen" title="Eintrag löschen"></a>
        % endif
    </td>
  </tr>
  <tr>
    <% notice = F.shorten(F.H(entry.getNotice()),120) %>
    <td colspan="5" class="description">${notice | F.NA}</td>
  </tr>
  % endfor
% else:
  <tr>
    <td colspan="5">Keine Eintr&auml;ge gefunden</td>
  </tr>
% endif
</table>
<h3>Auswertung</h3>
<%include file="/casemanagement/evaluation/evaluation_effort.mako"/>
