## -*- coding: utf-8 -*-
<%def name="buildStatusBar()">
  <div id="statusbar">
    ${_('statusbar_logininfo')}:
    % if h.getLogin() != 'adm':
        <strong>${h.getUserFullname()}</strong> (${h.getRole()})
    % else:
        <strong>${h.getUserLastname()}</strong>
    % endif
  </div>
</%def>

<%def name="buildStartMenu()">
  <div id="startmenu">
    <ul>
      <li><a href="${h.url_for(controller='/waska')}" onclick="return checkModification();">${_('sm_menu_link_home')}</a></li>
      <li><a href="${h.url_for(controller='/waska', action='help')}" onclick="return checkModification();">${_('sm_menu_link_help')}</a></li>
      <li><a href="${h.url_for(controller='/waska', action='settings', id=h.getUserId())}" onclick="return checkModification();">${_('sm_menu_link_settings')}</a></li>
      <li><a href="${h.url_for(controller='/waska', action='info')}" onclick="return checkModification();">${_('sm_menu_link_responsible')}</a></li>
      <li><a href="${h.url_for(controller='/waska', action='logout')}" onclick="return checkModification();">${_('sm_menu_link_logout')}</a></li>
    </ul>
  </div>
</%def>

<%def name="buildNavipath()">
  <li><a href="${h.url_for(controller='/waska')}" onclick="return checkModification();">${_('np_root')}</a></li>
</%def>

<%def name="buildInfofield()">
</%def>

<%def name="buildPrivacyfield()">
</%def>

<%def name="buildIco()">
<span class="menuico"> &gt;&gt;</span>
</%def>

<%def name="buildNavigation()">
 % if (h.getLogin() != 'adm'):
  % if h.hasRole(['cm_ka', 'admin_ka']):
    <div class="menu">
      <div class="actions">
        <h1>${_('np_root')}</h1>
        <ul>
          <li><a href="${h.url_for(controller='/waska')}">${_('sm_menu_link_home')}</a></li>
          <li><a href="${h.url_for(controller='/appointment', action='overview')}"> ${_('menu_app_link_overview')}</a></li>
          <li><a href="${h.url_for(controller='/document', action='globalOverview')}"> ${_('menu_doc_link_overview')} </a> </li>
        </ul>
      </div>
    </div>
  % endif
  % if c.isEvaluationServer and h.hasRole(['pb_ka']):
  <div class="menu">
    <div class="actions">
      <h1>${_('menu_header_cm')}</h1>
      <ul>
        <li><a href="${h.url_for(controller='/agency_overview', action='overview', reset=1)}"> ${_('menu_cm_link_overview')}</a> </li>
        <li><a href="${h.url_for(controller='/evaluate', action='evaluate', id=1, reset=1)}"> ${_('cm_actions_link_evaluate')}</a></li>
      </ul>
    </div>
  </div>
  % elif not c.isEvaluationServer:
  <div class="menu">
    <div class="actions">
      <h1>${_('menu_header_cm')}</h1>
      <ul>
        <li><a href="${h.url_for(controller='/case_overview', action='overview', reset=1)}"> ${_('menu_cm_link_overview')}</a> </li>
        % if h.hasRole(['cm_ka']):
          <li><a href="${h.url_for(controller='/case', action='new')}"> ${_('menu_cm_link_new')}</a> </li>
          <li><a href="${h.url_for(controller='/case', action='importCase')}"> ${_('menu_cm_link_import')}</a> </li>
      </ul>
      % endif
      <h1>${_('Auswertungen')}</h1>
      <ul>
        % for eval in g.mpuls_config.get('evaluations', 'enabled'): 
        <li><a href="/evaluate/evaluate/${eval.get('id')}">${eval.get('name')}</a></li>
        % endfor
        %if session.get('hascaseerrors'):
        <li><a href="${h.url_for(controller='/case_overview', action='listBadCases')}">Inkonsistente Fallakten</a></li>
        %endif
      </ul>
    </div>
  </div>
  % endif
  <div class="menu_spacer">
    <div class="actions">
    </div>
  </div>
  % endif
  % if h.hasRole(['admin_ka']):
  <div class="menu">
    <div class="actions">
      <h1>${_('menu_header_adm')}</h1>
      <ul>
        <li><a href="${h.url_for(controller='/administration', action='overviewUser')}"> ${_('menu_adm_link_useroverview')}
          </a>
        </li>
        <li><a href="${h.url_for(controller='/administration', action='overviewUserGroups')}"> ${_('menu_adm_link_usergroupoverview')}
          </a>
        </li>
        <li><a href="${h.url_for(controller='/administration', action='showSettings')}"> ${_('menu_adm_link_showsettings')}
          </a>
        </li>
      </ul>
    </div>
  </div>
  % endif
</%def>

<%def name="buildFormErrors(labels=None)">
  <% formular_labels = labels or {} %>
  % if len(c.form_errors) > 0:
  <div class="form_errors">
    <h1><a name="error_list">${_('main_formular_input_error')}</a></h1>
    <ul>
      % for key, value in c.form_errors.iteritems():
        <li>${_(formular_labels.get(key, '%s' % key))}: ${value}</li>
      % endfor
    </ul>
  </div>
  % endif
</%def>

<%def name="buildFooter()">
<div id="footer">
  <div id="version_str">
    ${_('footer_title')} | ${_('footer_version')}
  </div>
</div>
</%def>

<%def name="buildContentHeader()">
    ${self.buildUeberschrift()}
    ${self.buildModusfield()}
</%def>

<%def name="buildUeberschrift()">
</%def>

<%def name="buildModusfield()">
</%def>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <title>WASKA</title>
    <meta name="generator" content="vim">
    <meta name="author" content="Torsten Irlaender">
    <meta name="date" content="2007-08-07">
    <meta name="copyright" content="">
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta name="ROBOTS" content="NOINDEX, NOFOLLOW">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="content-style-type" content="text/css">
    <meta http-equiv="expires" content="0">
    <link rel="shortcut icon" type="image/x-icon" href="/images/kompetenz3.ico">
    % if c.print_version:
    <link href="${h.url_for('/styles/all.css')}" media="all" rel="stylesheet" type="text/css">
    <link href="${h.url_for('/styles/print.css')}" media="screen" rel="stylesheet" type="text/css">
    <link href="${h.url_for('/styles/print.css')}" media="print" rel="stylesheet" type="text/css">
    % else:
    <link href="${h.url_for('/styles/all.css')}" media="all" rel="stylesheet" type="text/css">
    <link href="${h.url_for('/styles/screen.css')}" media="screen" rel="stylesheet" type="text/css">
    <link href="${h.url_for('/styles/print.css')}" media="print" rel="stylesheet" type="text/css">
    <!--[if gt IE 5]><link href="${h.url_for('/styles/ie6.css')}" media="screen" rel="stylesheet" type="text/css"><![endif]-->
    % endif
    <script src="/js/check.js" type="text/javascript"></script>
  </head>
  <body onload="clearModification();">
  <span class="skiplink"><a href="#startmenu" title="Direkt zum Hauptmen&#252; springen" tabindex="1">
  Zum Hauptmen&#252; springen</a></span>
  <span class="skiplink"><a href="#navigation" title="Direkt zum Bereichsmen&#252; springen" tabindex="1">Zum Bereichsmen&#252; springen</a></span>
  <span class="skiplink"><a href="#content" title="Direkt zum Inhalt springen" tabindex="2">Zum Inhalt springen</a></span>
    <div id="header">
      <div class="left" id="logo">
        <a href="${h.url_for(controller='/waska', action='start')}" onclick="return checkModification();">
          <img src="${h.url_for('/images/logo_ka_75.png')}" alt="Logo Kompetenzagentur" border="0">
        </a>
      </div>
      <div id="rightheader">
        ${self.buildStartMenu()}
        ${self.buildStatusBar()}
        <div id="navipath">
          <ul>
            ${self.buildNavipath()}
          </ul>
        </div>
      </div>
    </div>
    <div id="main">
      <div class="left">
        <div class="navigation" id="navigation">
          % if h.hasRole(['cm_ka']):
            ${self.buildPrivacyfield()}
          % endif
          ${next.buildNavigation()}
        </div>
      </div>
      <div id="content" class="right">
        <div id="status_str_nofloat">
          % if c.status_msg:
            <span class="redcolor">${c.status_msg}<span>
          % else:
            <strong>Hinweis:</strong> Nach 30 Minuten ohne Aktivität/ohne Speichern wird die Sitzung
      automatisch beendet, ggf. gehen Daten verloren!
          % endif
        </div>
        ${self.buildContentHeader()}
        ${self.body()}
      </div>
    </div>
    ${self.buildFooter()}
  </body>
</html>

